# Analysis of Chain of Thought in LLM-as-Evaluator by Long Kim

## Code for paper "G-Eval: NLG Evaluation using GPT-4 with Better Human Alignment" [https://arxiv.org/abs/2303.16634]

## Model Evaluations

Score prediction via gemini_eval.py, llama3_eval.py, qwen_eval.py

## Experiments on SummEval dataset

Full dataset used by G-Eval paper  
Sample dataset used for CoT analysis

### Meta Evaluate the G-Eval results

.\meta_eval_summeval.py changed for CoT analysis  
```python .\meta_eval_summeval.py --input_folder .\results\gemini --output_filename gemini_output.txt```

## Prompts and Evaluation Results

Prompts used to evaluate SummEval with GPT-4 & base and detailed prompts for CoT analysis are in prompts/summeval (by G-Eval paper)
Auto-CoT prompts are in prompts/cot_analysis (created via auto_cot.py)

GPT-4 G-eval results on SummEval are in results (by G-Eval paper)  
Other models results are in their respective folder